Bug 187407 - [PATCH] www/awstats: update to 7.3,1
Summary: [PATCH] www/awstats: update to 7.3,1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-10 02:00 UTC by Naram Qashat
Modified: 2014-03-25 19:21 UTC (History)
1 user (show)

See Also:


Attachments
awstats-7.3.patch (3.56 KB, patch)
2014-03-10 02:00 UTC, Naram Qashat
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Naram Qashat 2014-03-10 02:00:01 UTC
- Update to 7.3,1

Port maintainer (samm@os2.kiev.ua) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.03 (mode: update, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-03-10 02:00:14 UTC
Maintainer of www/awstats,

Please note that PR ports/187407 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/187407

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-03-10 02:00:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Pawel Pekala freebsd_committer 2014-03-25 18:47:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 4 dfilter service freebsd_committer 2014-03-25 19:19:48 UTC
Author: pawel
Date: Tue Mar 25 19:19:44 2014
New Revision: 349170
URL: http://svnweb.freebsd.org/changeset/ports/349170
QAT: https://qat.redports.org/buildarchive/r349170/

Log:
  - Update to version 7.3 [1]
  - Convert to USES=dos2unix [1]
  - Use option helper
  - Simplify do-install target using WWWDIR, COPYTREE_SHARE etc
  - Break lines around 80 characters
  
  PR:		ports/187407 [1]
  Submitted by:	Naram Qashat <cyberbotx@cyberbotx.com>
  Approved by:	maintainer timeout

Modified:
  head/www/awstats/Makefile
  head/www/awstats/distinfo
  head/www/awstats/pkg-plist

Modified: head/www/awstats/Makefile
==============================================================================
--- head/www/awstats/Makefile	Tue Mar 25 18:46:31 2014	(r349169)
+++ head/www/awstats/Makefile	Tue Mar 25 19:19:44 2014	(r349170)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	awstats
-PORTVERSION=	7.2
-PORTREVISION=	1
+PORTVERSION=	7.3
 PORTEPOCH=	1
 CATEGORIES=	www
 MASTER_SITES=	SF/${PORTNAME}/AWStats/${PORTVERSION}
@@ -15,13 +14,13 @@ LICENSE=	GPLv2
 
 RUN_DEPENDS=	p5-Net-XWhois>=0:${PORTSDIR}/net/p5-Net-XWhois
 
-USES=		perl5 shebangfix
+USES=		dos2unix perl5 shebangfix
 
 SHEBANG_FILES=	tools/*.pl wwwroot/cgi-bin/*.pl wwwroot/cgi-bin/plugins/*.pm
 
 NO_BUILD=	yes
 USE_PERL5=	run
-USE_DOS2UNIX=	tools/*.pl \
+DOS2UNIX_GLOB=	tools/*.pl \
 		wwwroot/cgi-bin/awstats.model.conf \
 		wwwroot/cgi-bin/*.pl \
 		wwwroot/cgi-bin/lang/tooltips_f/*.txt \
@@ -38,80 +37,56 @@ SUB_FILES=	pkg-message
 
 OPTIONS_DEFINE=	DOCS IPV6
 
-.include <bsd.port.pre.mk>
-
-.if ${PORT_OPTIONS:MIPV6}
-RUN_DEPENDS+=	p5-Net-IP>=0:${PORTSDIR}/net-mgmt/p5-Net-IP
-RUN_DEPENDS+=	p5-Net-DNS>=0:${PORTSDIR}/dns/p5-Net-DNS
-.endif
+IPV6_RUN_DEPENDS=	p5-Net-IP>=0:${PORTSDIR}/net-mgmt/p5-Net-IP \
+			p5-Net-DNS>=0:${PORTSDIR}/dns/p5-Net-DNS
 
 post-patch:
-	@${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|g' ${WRKSRC}/tools/awstats_buildstaticpages.pl
-	@${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|g' ${WRKSRC}/tools/awstats_configure.pl
-	@${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|g' ${WRKSRC}/tools/awstats_updateall.pl
-	@${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|g' ${WRKSRC}/wwwroot/cgi-bin/awstats.pl
+	@${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|g' \
+		${WRKSRC}/tools/awstats_buildstaticpages.pl \
+		${WRKSRC}/tools/awstats_configure.pl \
+		${WRKSRC}/tools/awstats_updateall.pl \
+		${WRKSRC}/wwwroot/cgi-bin/awstats.pl
 
 do-install:
-	@${MKDIR} ${STAGEDIR}${PREFIX}/www/awstats
-	@${MKDIR} ${STAGEDIR}${PREFIX}/www/awstats/cgi-bin
-	@${MKDIR} ${STAGEDIR}${PREFIX}/www/awstats/cgi-bin/lang
-	@${MKDIR} ${STAGEDIR}${PREFIX}/www/awstats/cgi-bin/lang/tooltips_f
-	@${MKDIR} ${STAGEDIR}${PREFIX}/www/awstats/cgi-bin/lang/tooltips_m
-	@${MKDIR} ${STAGEDIR}${PREFIX}/www/awstats/cgi-bin/lang/tooltips_w
-	@${MKDIR} ${STAGEDIR}${PREFIX}/www/awstats/cgi-bin/lib
-	@${MKDIR} ${STAGEDIR}${PREFIX}/www/awstats/cgi-bin/plugins
-	@${MKDIR} ${STAGEDIR}${PREFIX}/www/awstats/cgi-bin/plugins/example
-	@${MKDIR} ${STAGEDIR}${PREFIX}/www/awstats/classes
-	@${MKDIR} ${STAGEDIR}${PREFIX}/www/awstats/css
-	@${MKDIR} ${STAGEDIR}${PREFIX}/www/awstats/icons/browser
-	@${MKDIR} ${STAGEDIR}${PREFIX}/www/awstats/icons/clock
-	@${MKDIR} ${STAGEDIR}${PREFIX}/www/awstats/icons/cpu
-	@${MKDIR} ${STAGEDIR}${PREFIX}/www/awstats/icons/flags
-	@${MKDIR} ${STAGEDIR}${PREFIX}/www/awstats/icons/mime
-	@${MKDIR} ${STAGEDIR}${PREFIX}/www/awstats/icons/os
-	@${MKDIR} ${STAGEDIR}${PREFIX}/www/awstats/icons/other
-	@${MKDIR} ${STAGEDIR}${PREFIX}/www/awstats/js
-	@${MKDIR} ${STAGEDIR}${PREFIX}/www/awstats/tools
-	@${MKDIR} ${STAGEDIR}${PREFIX}/www/awstats/tools/webmin
-	@${MKDIR} ${STAGEDIR}${PREFIX}/www/awstats/tools/xslt
-	${INSTALL_SCRIPT} ${WRKSRC}/tools/awstats_buildstaticpages.pl ${STAGEDIR}${PREFIX}/www/awstats/tools
-	${INSTALL_SCRIPT} ${WRKSRC}/tools/awstats_configure.pl ${STAGEDIR}${PREFIX}/www/awstats/tools
-	${INSTALL_SCRIPT} ${WRKSRC}/tools/awstats_exportlib.pl ${STAGEDIR}${PREFIX}/www/awstats/tools
-	${INSTALL_SCRIPT} ${WRKSRC}/tools/awstats_updateall.pl ${STAGEDIR}${PREFIX}/www/awstats/tools
-	${INSTALL_SCRIPT} ${WRKSRC}/tools/logresolvemerge.pl ${STAGEDIR}${PREFIX}/www/awstats/tools
-	${INSTALL_SCRIPT} ${WRKSRC}/tools/maillogconvert.pl ${STAGEDIR}${PREFIX}/www/awstats/tools
-	${INSTALL_SCRIPT} ${WRKSRC}/tools/urlaliasbuilder.pl ${STAGEDIR}${PREFIX}/www/awstats/tools
-	${INSTALL_DATA} ${WRKSRC}/tools/xslt/* ${STAGEDIR}${PREFIX}/www/awstats/tools/xslt
-	${INSTALL_SCRIPT} ${WRKSRC}/wwwroot/cgi-bin/awredir.pl ${STAGEDIR}${PREFIX}/www/awstats/cgi-bin
-	${INSTALL_SCRIPT} ${WRKSRC}/wwwroot/cgi-bin/awstats.model.conf ${STAGEDIR}${PREFIX}/www/awstats/cgi-bin
-	${INSTALL_SCRIPT} ${WRKSRC}/wwwroot/cgi-bin/awstats.pl ${STAGEDIR}${PREFIX}/www/awstats/cgi-bin
-	${INSTALL_DATA} ${WRKSRC}/wwwroot/cgi-bin/lang/tooltips_f/*.txt ${STAGEDIR}${PREFIX}/www/awstats/cgi-bin/lang/tooltips_f
-	${INSTALL_DATA} ${WRKSRC}/wwwroot/cgi-bin/lang/tooltips_m/*.txt ${STAGEDIR}${PREFIX}/www/awstats/cgi-bin/lang/tooltips_m
-	${INSTALL_DATA} ${WRKSRC}/wwwroot/cgi-bin/lang/tooltips_w/*.txt ${STAGEDIR}${PREFIX}/www/awstats/cgi-bin/lang/tooltips_w
-	${INSTALL_DATA} ${WRKSRC}/wwwroot/cgi-bin/lang/*.txt ${STAGEDIR}${PREFIX}/www/awstats/cgi-bin/lang
-	${INSTALL_DATA} ${WRKSRC}/wwwroot/cgi-bin/lib/* ${STAGEDIR}${PREFIX}/www/awstats/cgi-bin/lib
-	${INSTALL_DATA} ${WRKSRC}/wwwroot/cgi-bin/plugins/*.pm ${STAGEDIR}${PREFIX}/www/awstats/cgi-bin/plugins
-	${INSTALL_DATA} ${WRKSRC}/wwwroot/cgi-bin/plugins/example/* ${STAGEDIR}${PREFIX}/www/awstats/cgi-bin/plugins/example
-	${INSTALL_DATA} ${WRKSRC}/wwwroot/classes/awgraphapplet.jar ${STAGEDIR}${PREFIX}/www/awstats/classes/awgraphapplet.jar
-	${INSTALL_DATA} ${WRKSRC}/wwwroot/css/* ${STAGEDIR}${PREFIX}/www/awstats/css
-	${INSTALL_DATA} ${WRKSRC}/wwwroot/icon/browser/* ${STAGEDIR}${PREFIX}/www/awstats/icons/browser
-	${INSTALL_DATA} ${WRKSRC}/wwwroot/icon/clock/* ${STAGEDIR}${PREFIX}/www/awstats/icons/clock
-	${INSTALL_DATA} ${WRKSRC}/wwwroot/icon/cpu/* ${STAGEDIR}${PREFIX}/www/awstats/icons/cpu
-	${INSTALL_DATA} ${WRKSRC}/wwwroot/icon/flags/* ${STAGEDIR}${PREFIX}/www/awstats/icons/flags
-	${INSTALL_DATA} ${WRKSRC}/wwwroot/icon/mime/* ${STAGEDIR}${PREFIX}/www/awstats/icons/mime
-	${INSTALL_DATA} ${WRKSRC}/wwwroot/icon/os/* ${STAGEDIR}${PREFIX}/www/awstats/icons/os
-	${INSTALL_DATA} ${WRKSRC}/wwwroot/icon/other/* ${STAGEDIR}${PREFIX}/www/awstats/icons/other
-	${INSTALL_DATA} ${WRKSRC}/wwwroot/js/* ${STAGEDIR}${PREFIX}/www/awstats/js
-.if ${PORT_OPTIONS:MDOCS}
-	@${MKDIR} ${STAGEDIR}${DOCSDIR}/images
-	${INSTALL_DATA} ${WRKSRC}/docs/images/* ${STAGEDIR}${DOCSDIR}/images
+	@${MKDIR} ${STAGEDIR}${WWWDIR}/tools/webmin
+	(cd ${WRKSRC}/tools && ${INSTALL_SCRIPT} awstats_buildstaticpages.pl \
+		awstats_configure.pl awstats_exportlib.pl awstats_updateall.pl \
+		logresolvemerge.pl maillogconvert.pl urlaliasbuilder.pl \
+		${STAGEDIR}${WWWDIR}/tools)
+	(cd ${WRKSRC}/tools && ${COPYTREE_SHARE} xslt ${STAGEDIR}${WWWDIR}/tools)
+	@${MKDIR} ${STAGEDIR}${WWWDIR}/cgi-bin 
+	(cd ${WRKSRC}/wwwroot/cgi-bin && ${INSTALL_SCRIPT} awredir.pl awstats.pl \
+		awstats.model.conf ${STAGEDIR}${WWWDIR}/cgi-bin)
+	@${MKDIR} ${STAGEDIR}${WWWDIR}/cgi-bin/lang/tooltips_f
+	${INSTALL_DATA} ${WRKSRC}/wwwroot/cgi-bin/lang/tooltips_f/*.txt \
+		${STAGEDIR}${WWWDIR}/cgi-bin/lang/tooltips_f
+	@${MKDIR} ${STAGEDIR}${WWWDIR}/cgi-bin/lang/tooltips_m
+	${INSTALL_DATA} ${WRKSRC}/wwwroot/cgi-bin/lang/tooltips_m/*.txt \
+		${STAGEDIR}${WWWDIR}/cgi-bin/lang/tooltips_m
+	@${MKDIR} ${STAGEDIR}${WWWDIR}/cgi-bin/lang/tooltips_w
+	${INSTALL_DATA} ${WRKSRC}/wwwroot/cgi-bin/lang/tooltips_w/*.txt \
+		${STAGEDIR}${WWWDIR}/cgi-bin/lang/tooltips_w
+	${INSTALL_DATA} ${WRKSRC}/wwwroot/cgi-bin/lang/*.txt \
+		${STAGEDIR}${WWWDIR}/cgi-bin/lang
+	(cd ${WRKSRC}/wwwroot/cgi-bin && ${COPYTREE_SHARE} lib \
+		${STAGEDIR}${WWWDIR}/cgi-bin)
+	@${MKDIR} ${STAGEDIR}${WWWDIR}/cgi-bin/plugins
+	${INSTALL_DATA} ${WRKSRC}/wwwroot/cgi-bin/plugins/*.pm \
+		${STAGEDIR}${WWWDIR}/cgi-bin/plugins
+	(cd ${WRKSRC}/wwwroot/cgi-bin/plugins && ${COPYTREE_SHARE} example \
+	       	${STAGEDIR}${WWWDIR}/cgi-bin/plugins)
+	@${MKDIR} ${STAGEDIR}${WWWDIR}/classes
+	${INSTALL_DATA} ${WRKSRC}/wwwroot/classes/awgraphapplet.jar \
+		${STAGEDIR}${WWWDIR}/classes
+	(cd ${WRKSRC}/wwwroot && ${COPYTREE_SHARE} "js css" ${STAGEDIR}${WWWDIR})
+	(cd ${WRKSRC}/wwwroot/icon && ${COPYTREE_SHARE} "browser clock cpu \
+		flags mime os other" ${STAGEDIR}${WWWDIR}/icons)
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	(cd ${WRKSRC}/docs && ${COPYTREE_SHARE} images ${STAGEDIR}${DOCSDIR})
 	${INSTALL_DATA} ${WRKSRC}/docs/*.* ${STAGEDIR}${DOCSDIR}
-.endif
+	
 	@${ECHO_CMD} ""
-	@${ECHO_CMD} "* Use ${PREFIX}/www/awstats/tools/awstats_configure.pl to setup your hosts."
-.if ${PORT_OPTIONS:MDOCS}
-	@${ECHO_CMD} "* Documentation has been installed in ${PREFIX}/share/doc/awstats"
-.endif
+	@${ECHO_CMD} "* Use ${WWWDIR}/tools/awstats_configure.pl to setup your hosts."
 	@${ECHO_CMD} ""
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/www/awstats/distinfo
==============================================================================
--- head/www/awstats/distinfo	Tue Mar 25 18:46:31 2014	(r349169)
+++ head/www/awstats/distinfo	Tue Mar 25 19:19:44 2014	(r349170)
@@ -1,2 +1,2 @@
-SHA256 (awstats-7.2.tar.gz) = 740cb46ac5a7befb72ff0b80d0e53c6fe3560700208bce18f4fb5b2b5e275791
-SIZE (awstats-7.2.tar.gz) = 1274635
+SHA256 (awstats-7.3.tar.gz) = 642da01c4482c99f68076c02b9a6e0c6de803303597be4ee4d0c8fce69bd1ad4
+SIZE (awstats-7.3.tar.gz) = 2897463

Modified: head/www/awstats/pkg-plist
==============================================================================
--- head/www/awstats/pkg-plist	Tue Mar 25 18:46:31 2014	(r349169)
+++ head/www/awstats/pkg-plist	Tue Mar 25 19:19:44 2014	(r349170)
@@ -21,17 +21,25 @@
 %%PORTDOCS%%%%DOCSDIR%%/awstats_webmin.html
 %%PORTDOCS%%%%DOCSDIR%%/awstats_what.html
 %%PORTDOCS%%%%DOCSDIR%%/images/awstats.ico
+%%PORTDOCS%%%%DOCSDIR%%/images/awstats.svg
+%%PORTDOCS%%%%DOCSDIR%%/images/awstats_250x250.png
+%%PORTDOCS%%%%DOCSDIR%%/images/awstats_ban_460x270.png
+%%PORTDOCS%%%%DOCSDIR%%/images/awstats_ban_800x160.svg
+%%PORTDOCS%%%%DOCSDIR%%/images/awstats_ban_960x540.jpg
+%%PORTDOCS%%%%DOCSDIR%%/images/awstats_ban_960x540.png
+%%PORTDOCS%%%%DOCSDIR%%/images/awstats_ban_960x540.svg
 %%PORTDOCS%%%%DOCSDIR%%/images/awstats_logo1.gif
 %%PORTDOCS%%%%DOCSDIR%%/images/awstats_logo1.png
 %%PORTDOCS%%%%DOCSDIR%%/images/awstats_logo2.gif
 %%PORTDOCS%%%%DOCSDIR%%/images/awstats_logo2.png
 %%PORTDOCS%%%%DOCSDIR%%/images/awstats_logo3.gif
 %%PORTDOCS%%%%DOCSDIR%%/images/awstats_logo3.png
-%%PORTDOCS%%%%DOCSDIR%%/images/awstats_logo4.gif
-%%PORTDOCS%%%%DOCSDIR%%/images/awstats_logo4.png
 %%PORTDOCS%%%%DOCSDIR%%/images/awstats_logo5.gif
 %%PORTDOCS%%%%DOCSDIR%%/images/awstats_logo5.png
 %%PORTDOCS%%%%DOCSDIR%%/images/awstats_logo6.png
+%%PORTDOCS%%%%DOCSDIR%%/images/awstats_logo7.jpg
+%%PORTDOCS%%%%DOCSDIR%%/images/awstats_logo7.png
+%%PORTDOCS%%%%DOCSDIR%%/images/awstats_logo7.svg
 %%PORTDOCS%%%%DOCSDIR%%/images/license_chart.png
 %%PORTDOCS%%%%DOCSDIR%%/images/screen_shot_1.gif
 %%PORTDOCS%%%%DOCSDIR%%/images/screen_shot_1.jpg
@@ -40,6 +48,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/images/screen_shot_3.png
 %%PORTDOCS%%%%DOCSDIR%%/images/screen_shot_4.png
 %%PORTDOCS%%%%DOCSDIR%%/images/screen_shot_5.png
+%%PORTDOCS%%%%DOCSDIR%%/images/screen_shot_960x540.png
 %%PORTDOCS%%%%DOCSDIR%%/images/screen_shot_large_1.jpg
 %%PORTDOCS%%%%DOCSDIR%%/images/screen_shot_large_2.jpg
 %%PORTDOCS%%%%DOCSDIR%%/images/screen_shot_large_3.jpg
@@ -700,6 +709,8 @@ www/awstats/icons/os/webtv.png
 www/awstats/icons/os/wii.png
 www/awstats/icons/os/win.png
 www/awstats/icons/os/win7.png
+www/awstats/icons/os/win8.1.png
+www/awstats/icons/os/win8.png
 www/awstats/icons/os/win16.png
 www/awstats/icons/os/win2000.png
 www/awstats/icons/os/win2003.png
@@ -710,6 +721,7 @@ www/awstats/icons/os/wince.png
 www/awstats/icons/os/winlong.png
 www/awstats/icons/os/winme.png
 www/awstats/icons/os/winnt.png
+www/awstats/icons/os/winphone.png
 www/awstats/icons/os/winunknown.png
 www/awstats/icons/os/winvista.png
 www/awstats/icons/os/winxp.png
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Pawel Pekala freebsd_committer 2014-03-25 19:21:36 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!